namespace XGame.Framework.Logger
{
    public static class LogCreator
    {
        public static ILogger Create()
        {
            ILogColors colors = null;
            WriterRepository repository = null;
#if UNITY_EDITOR
            colors = new UnityLogColors();
#elif UNITY_ANDROID || UNITY_IOS
            repository = new WriterRepository();
#endif
            var logger = new LoggerImpl(colors, repository);
            return logger;
        }
    }
}
